com.sun.java.browser.dom

## Class DOMAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.java.browser.dom.DOMAccessException

All Implemented Interfaces:
  Serializable

    public class DOMAccessException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DOMAccessException()` Constructs a new DOMAccessException with no detail message.
`DOMAccessException(Exception e)` Constructs a new DOMAccessException with the given exception as a root clause.
`DOMAccessException(Exception e, String msg)` Constructs a new DOMAccessException with the given exception as a root clause and the given detail message.
`DOMAccessException(String msg)` Constructs a new DOMAccessException with the given detail message.

### Method Summary

Methods
`Throwable` `getCause()` Returns the root cause of the error or null if there is none.
`String` `getMessage()` Returns the detail message of the error or null if there is no detail message.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOMAccessException

    public DOMAccessException()

Constructs a new DOMAccessException with no detail message.

#### DOMAccessException

    public DOMAccessException(String msg)

Constructs a new DOMAccessException with the given detail message.

Parameters:
  `msg` - Detail message.

#### DOMAccessException

    public DOMAccessException(Exception e)

Constructs a new DOMAccessException with the given exception as a root clause.

Parameters:
  `e` - Exception.

#### DOMAccessException

    public DOMAccessException(Exception e,
                      String msg)

Constructs a new DOMAccessException with the given exception as a root clause and the given detail message.

Parameters:
  `e` - Exception.
  `msg` - Detail message.

### Method Detail

#### getMessage

    public String getMessage()

Returns the detail message of the error or null if there is no detail message.

Overrides:
  `getMessage` in class `Throwable`

#### getCause

    public Throwable getCause()

Returns the root cause of the error or null if there is none.

Overrides:
  `getCause` in class `Throwable`